SYS.CONF(5)

NAME
sys.conf - nvme-stas(7) configuration file

SYNOPSIS

/etc/stas/sys.conf

DESCRIPTION

When stafd(8) and stacd(8) start up, they read the system configuration from sys.conf.

CONFIGURATION FILE FORMAT

sys.conf is a plain text file divided into sections, with configuration entries in the style key=value. Whitespace immediately before or after the = is ignored. Empty lines and lines starting with # are ignored, which may be used for commenting.

OPTIONS

  [Host] section

The following options are available in the [Host] section:

nqn=
    Takes a string argument identifying the Host NQN. A value starting with file:// indicates that the Host NQN can be retrieved from a separate file. This is a mandatory parameter. Defaults to: file:///etc/nvme/hostnqn.

id=
    Takes a string argument identifying the Host ID. A value starting with file:// indicates that the Host ID can be retrieved from a separate file. This is a mandatory parameter. Defaults to: file:///etc/nvme/hostid.

symname=
    Takes a string argument identifying the Host symbolic name. A value starting with file:// indicates that the symbolic name can be retrieved from a separate file. This is an optional parameter. There is no default value.

SEE ALSO

nvme-stas(7)